Package Details: linuxcnc-sim 2.7.15-1

Git Clone URL: https://aur.archlinux.org/linuxcnc-sim.git (read-only, click to copy)
Package Base: linuxcnc-sim
Description: It can interpret G-code and simulate a CNC machine (formerly EMC2).
Upstream URL: http://linuxcnc.org/
Licenses: GPL2
Submitter: ivanovp
Maintainer: ivanovp
Last Packager: ivanovp
Votes: 13
Popularity: 0.90
First Submitted: 2013-10-20 07:32
Last Updated: 2020-02-02 08:49

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

trentks commented on 2017-09-08 23:37

It seems to be failing to retrieve from git://git.linuxcnc.org/git/linuxcnc.git

==> Making package: linuxcnc-sim 2.7.8-1 (Sat Sep 9 11:32:45 NZST 2017)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Cloning linuxcnc git repo...
Cloning into bare repository '/home/trent/temp/linuxcnc-sim/linuxcnc'...
^[[2^^Tfatal: unable to connect to git.linuxcnc.org:
git.linuxcnc.org[0: 76.79.18.203]: errno=Connection timed out

==> ERROR: Failure while downloading linuxcnc git repo
Aborting...

s218 commented on 2017-03-30 08:44

2017-03-30 автор пакет починил, все работает. The author has repaired the package, everything works.

s218 commented on 2017-03-28 18:34

2017-03 пакет с трудом ставится и после этого не работает.
Отсутствующий python2-libgnome можно найти здесь - http://ala.seblu.net/packages/p/python2-libgnome/

Но вот после этого аборт при попытке запуска с рабочим конфигом. Latency-test запускается, запуск linuxcnc без параметров выдает окно выбора конфигурации, после выбора любой из них = аборт. В консоли пишет -

VERSION=1.0
can't find package Linuxcnc
while executing
"package require Linuxcnc "
(file "/usr/share/linuxcnc/hallib/check_config.tcl" line 83)
check_config validation failed
LinuxCNC terminated with an error. You can find more information in the log:
linuxcnc_debug.txt
and
linuxcnc_print.txt
as well as in the output of the shell command 'dmesg' and in the terminal

Дебаг-файл пуст, принт-файл содержит только сведения о валидном конфиге. С этим же конфигом нормально работает в Сусе.
ЧЯДНТ?

dimich commented on 2016-12-23 07:37

Linuxcnc-sim conflicts with linux-manpages because of common /usr/share/man/man9/

71GA commented on 2016-11-18 10:04

This doesn't work for some time now...

ivanovp commented on 2016-04-23 06:33

I've added a patch, but it is not finished: more work is needed...

TiaoHero commented on 2016-04-22 13:14

When i try convert a image to gcode i get the following error :

Traceback (most recent call last):
File "/usr/sbin/image-to-gcode", line 26, in <module>
import Image
ImportError: No module named Image

What can i do to solve this poblem ?

hexvalid commented on 2015-09-11 12:46

Checking for ID conflicts in stepconf glade files
File "../scripts/checkglade", line 41
print "%s:0: Uses id %r (first encountered in %s)" % (
^
SyntaxError: invalid syntax
emc/usr_intf/stepconf/Submakefile:22: recipe for target 'objects/glade-conflict-check-stamp' failed
make: *** [objects/glade-conflict-check-stamp] Error 1
== ERROR: A failure occurred in build().
Aborting...

71GA commented on 2015-09-11 06:33

Checking for ID conflicts in stepconf glade files
File "../scripts/checkglade", line 41
print "%s:0: Uses id %r (first encountered in %s)" % (
^
SyntaxError: invalid syntax
emc/usr_intf/stepconf/Submakefile:22: recipe for target 'objects/glade-conflict-check-stamp' failed
make: *** [objects/glade-conflict-check-stamp] Error 1
==> ERROR: A failure occurred in build().
Aborting...

ivanovp commented on 2015-04-05 06:44

@cox: I've adopted tclx and updated it.